Attribute VB_Name = "Global"
Global dbDAO As Database
Global wspDAO As Workspace

Global vNull As Variant

Type Alapanyag
    A_ID As Long
    Mennyiseg As Double
    AR_ID As Long
    NETTO_OSSZ As Double
    AFA_OSSZ As Double
End Type

Type BizHeader
    Szallito As String
    SzallIr As String
    SzallCim As String
    
    Atvevo As String
    AtvIr As String
    AtvCim As String
End Type

Type BAlapanyagok
    id As Long
    Nev As String
    VTSZ As String
    Mennyiseg As Double
    Egyseg As String
    AfaKat As String
    AfaOssz As Double
    NettoOssz As Double
End Type

Type BKesztermek
    id As Long
    Mennyiseg As Double
    Nev As String
    VTSZ As String
    Egyseg As String
End Type


Global BevAlapanyag() As Alapanyag
Global BevAlapanyagNum As Long
Global BevKesztermekNum As Long

'Alapanyag-bevtelezsi bizonylat elksztshez
Global AlapBiz As BizHeader
Global Owner As BizHeader
Global BAlapTomb() As BAlapanyagok
Global BKeszTomb() As BKesztermek

Global BFizMod As String
Global BKiallitasD As Date
Global BEsedekesD As Date
Global BTeljesitesD As Date
Global BAfaOssz As Double
Global BNettoOssz As Double


Public Sub Main()
    On Error GoTo ErrorHandle
    
    If Screen.Width / Screen.TwipsPerPixelX < 1024 Then
        ret = MsgBox("Figyelem!" & Chr(13) & "A program ablakmegjelentsei 1024x768 felbonts mellett optimlisak.", vbInformation + vbOKOnly, "")
    End If
    
    Set wspDAO = DBEngine.CreateWorkspace("DAO_I", "admin", "", dbUseJet)
    DBEngine.Workspaces.Append wspDAO
    Set dbDAO = wspDAO.OpenDatabase(App.Path & "\DAO_I.mdb", False)
    
    vNull = Null
    BevAlapanyagNum = 0
    BevKesztermekNum = 0
    frmKeret.Show
    Exit Sub
    
ErrorHandle:
    ret = MsgBox("Hiba az alkalmazs futsa sorn!" & Chr(13) & Err.Number & ":   " & Err.Description, vbCritical + vbOKOnly, "Alkalmazs hiba")
    End
End Sub

Public Function GetSeqValue(table As String) As Long
    Dim tmpRS As Recordset
    
    Set tmpRS = dbDAO.OpenRecordset("select * from Seq where TABLE = '" & table & "'")
    GetSeqValue = 0
    
    If tmpRS.RecordCount > 0 Then
        GetSeqValue = tmpRS(1) + 1
        tmpRS.Edit
        tmpRS(1) = tmpRS(1) + 1
        tmpRS.Update
    End If
    
    tmpRS.Close
    Set tmpRS = Nothing
End Function

Public Function SelComboByItemData(combo As ComboBox, data As Long) As Boolean
    Dim i As Long
    
    SelComboByItemData = False
    For i = 0 To combo.ListCount - 1
        If data = combo.ItemData(i) Then
            combo.ListIndex = i
            SelComboByItemData = True
            Exit Function
        End If
    Next i
End Function

Public Sub GetOwnerData()
    Dim rsOwner As Recordset
    
    Set rsOwner = dbDAO.OpenRecordset("select * from Beszlltk where b_id = 0")
    If rsOwner.RecordCount > 0 Then
        If Not IsNull(rsOwner.Fields(3).value) Then
            Owner.AtvCim = rsOwner.Fields(3).value
        Else
            Owner.AtvCim = "< nincs megadva >"
        End If
        If Not IsNull(rsOwner.Fields(1).value) Then
            Owner.Atvevo = rsOwner.Fields(1).value
        Else
            Owner.Atvevo = "< nincs megadva >"
        End If
        If Not IsNull(rsOwner.Fields(2).value) Then
            Owner.AtvIr = rsOwner.Fields(2).value
        Else
            Owner.AtvIr = "< nincs megadva >"
        End If
    Else
        Owner.AtvCim = "< nincs megadva >"
        Owner.Atvevo = "< nincs megadva >"
        Owner.AtvIr = "< nincs megadva >"
    End If
    rsOwner.Close
    Set rsOwner = Nothing
End Sub
